#include <iostream>
#include <vector>
#include <string>
#include <math.h>
#include <cstdio>
#include <algorithm>
#include <map>
#include <set>
#include <queue>
#include <stack>
#include <deque>
#include <cstring>
#define endl '\n'

using namespace std;
typedef long long ll;

int main(){
    ll n;
    cin >> n;
    
    vector<ll>a(n);
    
    for(int i = 0; i < n; i++)
        cin >> a[i];
    
    cout << 0 << endl;

    return 0;
}
